{inputs, ...}: let
  secretsPath = builtins.toString inputs.mysecrets;
in {
  imports = with inputs; [
    sops-nix.homeManagerModules.sops
  ];

  sops = {
    age.keyFile = "/var/lib/sops-nix/key.txt";

    defaultSopsFile = "${secretsPath}/secrets.yaml";
    validateSopsFiles = false;

    secrets = {
      "ssh/private/dunamis-user" = {
        path = "/home/user/.ssh/id_ed25519";
      };
    };
  };
}
