{
  pkgs,
  inputs,
  config,
  ...
}: {
  imports = with inputs; [
    stylix.nixosModules.stylix
  ];
  environment.systemPackages = with pkgs; [
    nerd-fonts.iosevka
    nerd-fonts.iosevka-term
  ];
  stylix = {
    enable = true;
    base16Scheme = "${pkgs.base16-schemes}/share/themes/tomorrow-night.yaml";
    polarity = "dark";
    cursor = {
      package = pkgs.bibata-cursors;
      name = "Bibata-Modern-Amber";
      size = 24;
    };
    image = builtins.fetchurl {
      url = "https://w.wallhaven.cc/full/13/wallhaven-13e379.png";
      name = "wallhaven-13e379";
      sha256 = "1h8xhcgcdgd3dy1viqv6f192kr5cw7gi4rjqh4kbgwg6hj962409";
    };
    opacity.terminal = 0.9;
    fonts = {
      sizes = {
        applications = 13;
        desktop = 14;
        popups = 13;
        terminal = 15;
      };
      serif = {
        package = pkgs.nerd-fonts.iosevka;
        name = "Iosevka Nerd Font Propo";
      };
      sansSerif = config.stylix.fonts.serif;
      monospace = {
        package = pkgs.nerd-fonts.iosevka-term;
        name = "IosevkaTerm Nerd Font Mono";
      };
      emoji = {
        package = pkgs.noto-fonts-emoji;
        name = "Noto Color Emoji";
      };
    };
  };
}
